## org.codehaus.groovy.grails.web.context
Class GrailsContextLoaderListener

    java.lang.Object
      org.springframework.web.context.ContextLoaderListener
          org.codehaus.groovy.grails.web.context.GrailsContextLoaderListener

All Implemented Interfaces:
  EventListener, ServletContextListener

    public class GrailsContextLoaderListener

extends ContextLoaderListener

Extends the Spring default ContextLoader to load GrailsApplicationContext

Author:
  Graeme Rocher

Constructor Summary
`GrailsContextLoaderListener()`

Method Summary
`protected ContextLoader` `createContextLoader()`

Methods inherited from class org.springframework.web.context.ContextLoaderListener
`contextDestroyed, contextInitialized, getContextLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsContextLoaderListener

    public GrailsContextLoaderListener()

Method Detail

### createContextLoader

    protected ContextLoader createContextLoader()

  Overrides:
    `createContextLoader` in class `ContextLoaderListener`

Copyright (c) 2005-2009 The Grails project